<div style="display: flex;margin-top: 20px;">

<div class="demo-toggles">
  <mat-slide-toggle *ngIf="(accountService.currentUser$ | async) as user" (click)="CheckFilter('my')" [(ngModel)]="isMyOffers">My Offers</mat-slide-toggle>
  <mat-slide-toggle *ngIf="isVisitor" (click)="CheckFilter('region')"  [(ngModel)]="isOffersInMyRegion">Offers in my region</mat-slide-toggle>
  <mat-slide-toggle (click)="CheckFilter('open')"  [(ngModel)]="isOpenOffers">Open Offers</mat-slide-toggle>
</div>
<div *ngIf="!isVisitor" style="margin-left: auto;margin-right: 20px;">
  <button (click)="Create()" id="createbutton" class=" btn btn-primary">Create</button>
</div>
</div>
  <app-offers [offers]="ShownOffers"></app-offers>

  <mat-paginator #paginator
class="demo-paginator"
(page)="handlePageEvent($event)"
[length]="length"
[pageSize]="pageSize"
[disabled]="disabled"
[pageIndex]="pageIndex"
aria-label="Select page">
</mat-paginator>
